서버에 접속하기 위해서 오래전부터 사용하던 putty


이번에 centos 7 버전의 서버를 새로 셋팅을 했는데 갑자기 접속이 되질 않는다.


에러 메세지는 expected key exchange group packet from server



버전이 올라가고 내가 쓰는건 구버전이라 또 뭔갈 바꿔야 하나 생각을 잠시 하다


알게 되었다.


기존 나머지 서버는 접속이 잘 되니 그냥 놔두고 centos7인 서버만 바꿔보자.


1.먼저 바꿀놈 선택후 불러옴을 한번 해준다.


그 뒤 오른쪽 메뉴의 SSH-> 키교환 선택



키 교환 알고리즘 옵션을 보면

디피-헬만 그룹 교환

디피-헬만 그룹 14

디피-헬만 그룹 1


이렇게 되어 있다.



 이걸 오른쪽 UP DOWN으로 순서를 바꿔준다.


디피-헬만 그룹 14

디피-헬만 그룹 1

디피-헬만 그룹 교환



그리고 다시 세션 목록으로 돌아와 저장


그 뒤 접속을 해보면 이상없이 다 잘된다.


그 이전에 쓰던 다른 것들도 이상이 없다.


안되던 버전은 내가 쓰던것은 0.58.h1


이게 불편할 경우는 푸티홈가서 신버전을 받으면 된다.


현재 기준으로 0.71인데 이 버전은 별도 설정없이 바로 쓸 수 있다.


뭔가 ssh key에 뭔가가 더 있다.



하지만 나는 순서 변경으로 해결이 되었기 때문에 정들었던 녀석을 계속 쓰고 있다.

'관심사 > Linux' 카테고리의 다른 글

expected key exchange group packet from server for putty  (0) 2019.05.29
php 날짜 처리  (0) 2019.04.22
부팅시 서비스 자동시작 설정  (0) 2019.04.22
서버 설정해야 할 부분  (0) 2019.04.17
서버 정리  (0) 2019.04.13
tar 권한까지 압축하고 또 풀기  (0) 2019.04.13


Posted by